body {
    margin: 0;
    padding: 0;
}

#map {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
}

#metrics {
    position: absolute;
    top: 10px;
    left: 10px;
    background: white;
    padding: 10px 14px;
    border-radius: .4rem;
    font-family: sans-serif;
    font-size: 14px;
    z-index: 100;
}

#metrics div {
    margin: 4px 0;
}

#metrics span {
    font-weight: bold;
}

#speedkey-menu-outer {
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

#speedkey-menu-inner {
    z-index: 100;
    position: absolute;
    top: 85%;
    border: 2px solid rgb(75 70 74);
    background: white;
    border-radius: 0.5em;
    padding: 2px 8px 2px 8px;
    font-family: sans-serif;
    font-size: 12px;
}

.hidden {
    display: none;
}

.filter-group {
    font: 12px/20px 'Helvetica Neue', Arial, Helvetica, sans-serif;
    font-weight: 600;
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 1;
    border-radius: 3px;
    width: 120px;
    color: #fff;
}

.filter-group input[type='checkbox']:first-child + label {
    border-radius: 3px 3px 0 0;
}

.filter-group label:last-child {
    border-radius: 0 0 3px 3px;
    border: none;
}

.filter-group input[type='checkbox'] {
    display: none;
}

.filter-group input[type='checkbox'] + label {
    background-color: #3386c0;
    display: block;
    cursor: pointer;
    padding: 10px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.25);
}

.filter-group input[type='checkbox'] + label {
    background-color: #3386c0;
    text-transform: capitalize;
}

.filter-group input[type='checkbox'] + label:hover,
.filter-group input[type='checkbox']:checked + label {
    background-color: #4ea0da;
}

.filter-group input[type='checkbox']:checked + label:before {
    content: '✔';
    margin-right: 5px;
}

#details-pane {
    position: absolute;
    top: 10px;
    left: 10px;
    background: white;
    padding: 10px 14px;
    border-radius: .4rem;
    font-family: sans-serif;
    font-size: 14px;
    z-index: 100;
}
